%define	module	proctitle

Summary:	Python module to manipulate the raw 'argv[]' contents of a python process
Summary(pl.UTF-8):	Moduł języka Python do manipulacji argv[] (w tym nazwy procesu)
Name:		python-%{module}
Version:	0.0.2
Release:	8
License:	GPL
Group:		Libraries/Python
Source0:	http://ftp.psychosis.com/python/%{module}-%{version}.tar.gz
# Source0-md5:	0d726d625b2be76458e0600fa79fed78
BuildRequires:	python-devel >= 2.2.1
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python module to manipulate the raw 'argv[]' contents of a python
process. Allows to change process name during runtime.

%description -l pl.UTF-8
Moduł języka Python do manipulacji argv[] (w tym także widocznej w np.
w top nazwy procesu).

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT

PYTHONPATH=$RPM_BUILD_ROOT%{py_sitedir}
export PYTHONPATH

%py_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{py_sitedir}/proctitle
%{py_sitedir}/proctitle/*.py[co]
%attr(755,root,root) %{py_sitedir}/proctitle/*.so
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-proctitle.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 471c2bf
- release 8 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 9d3ea23
- automatic change: use py_build/py_install macros

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 79d9b02
- added BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7033d48
- release 7

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 42d9c55
- release 6

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 49b3567
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 143aaeb
- converted to UTF-8

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> d0e9524
- mass commit: remove obsolete BR: rpm-pythonprov

* Sat Dec 25 2004 saq <saq@pld-linux.org> acf13f7
- release 5 for rebuild with python 2.4

* Mon Sep 06 2004 Jakub Bogusz <qboosh@pld-linux.org> 63ca7b3
- reverted buggy commit

* Mon Sep 06 2004 darekr <darekr@pld-linux.org> d386148
- missing files

* Tue Aug 31 2004 darekr <darekr@pld-linux.org> 30192c6
- update to 0.0.2

* Wed Aug 18 2004 Mateusz Korniak <matkor@pld-linux.org> c5cd6ec
- Version 0.0.1-4.

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> 06c16f3
- removed %%include /usr/lib/rpm/macros.python

* Wed May 26 2004 ankry <ankry@pld-linux.org> 1dcfac1
- capitalization, tabs, other cosmetics

* Mon Dec 01 2003 Mateusz Korniak <matkor@pld-linux.org> 8c91493
- Release 3. Ac rebuild with changed Pythons ABI.

* Wed Aug 20 2003 Mateusz Korniak <matkor@pld-linux.org> 72874d5
- Added dir. TODO seems be done.

* Wed Jul 02 2003 Paweł Gołaszewski <blues@pld-linux.org> 7ec0237
- cosmetics

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 5341b2d
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 9c75fd2
- massive attack s/pld.org.pl/pld-linux.org/

